#
# spec file for package golang-org-x
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         golang
%global repo            sys
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     golang.org/x/sys

Name:           golang-org-x-%{repo}
Version:        0.0.0+git20180202.37707fd
Release:        lp152.2.2
Summary:        Go packages for low-level interaction with the operating system
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_nostrip}
%{go_provides}

%description
This repository holds supplemental Go packages for low-level interactions with
the operating system.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md LICENSE PATENTS AUTHORS CONTRIBUTORS CONTRIBUTING.md  

%changelog
* Wed Feb  7 2018 boris@steki.net
- Update to version 0.0.0+git20180202.37707fd:
  * unix: move gccgo redeclared *SyscallNoError functions to a separate file
  * unix: fix cpuset size argument in sched_affinity syscall
  * unix: use SyscallNoError and RawSyscallNoError on Linux only
  * unix: fix godoc comment for clen
  * unix: add godoc for Sockaddr* types
  * plan9: add arm support
  * unix: add sockaddr_l2 definitions
  * unix: don't export padding fields on all platforms
  * unix: use ParseDirent from syscall
  * unix: adjust replacement regex for removed struct fields for linux/s390x
- added CONTRIBUTING.md to package documentation
* Tue Dec 13 2016 tboerger@suse.com
- Update to version 0.0.0+git20161205.478fcf5:
  * x/sys/unix: add *linkat functions on linux
  * unix: Fix *linkat on sparc64 and s390x
  * unix: Add FADV_* constants for linux/arm
  * unix: fix name of prlimit parameters
  * x/sys/unix: add Getsid on linux
  * x/sys/unix: added SockaddrCAN struct to allow creation of AF_CAN sockets
  * unix: Use syscall.SysctlRaw in Sysctl
  * windows: run "go generate"
  * windows/registry: add code to access remote pc registry
  * x/sys/unix: added linux/mips{,le} support
* Tue Dec 13 2016 tboerger@suse.com
- Updated service definition
* Wed Aug 17 2016 tboerger@suse.com
- Added rpmlintrc for common golang linting
* Tue Aug 16 2016 tboerger@suse.com
- Applied latest changes for golang-packaging
* Fri Jul  8 2016 tboerger@suse.com
- Refactoed spec with a new unified layout
- Switched to disabled run service
* Sun Jul 12 2015 i@marguerite.su
- rename to golang-org-x-sys
- update version 0.0.0+git20150612.b4e2899
- use golang-packaging for packaging
* Mon Mar 23 2015 i@marguerite.su
- initial version 0.0.0+git20150320.8642817
